# Changelog

## 2024-09-05 - 2.2.1 - fix(core)
Add --allowimplicitany flag to build script

- Updated the build script in package.json to include the --allowimplicitany flag for TypeScript compilation.

## 2024-09-05 - 2.2.0 - feat(smartjwt)
Add nested JWT functionality

- Introduce `isNestedJwt` method to check if an object contains a nested JWT
- Implement `verifyNestedJwt` method to validate nested JWTs
- Add `createNestedJwt` method to create nested JWTs with given payload
- Include `nestedJwtGuard` for guarding nested JWT objects

## 2024-08-26 - 2.1.0 - feat(core)
Enhanced JWT handling and key management

- Introduced the `IObjectWithJwt` type for improved type constraints.
- Added support for smartguard to create object guards with JWT validation.
- Upgraded dependencies to latest versions.

## 2024-05-29 - 2.0.4 - Maintenance
Minor updates and configuration changes.

- Updated project description.
- Modified tsconfig settings.
- Updated npmextra.json with githost.

## 2024-02-13 - 2.0.3 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2023-07-11 - 2.0.2 - Organizational Update
Switched to the new organizational scheme.

- Adjusted project structure to align with new organizational policies.

## 2022-12-22 - 2.0.1 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2022-10-24 - 2.0.0 - Major Update
Significant updates including breaking changes.

- **Breaking Change:** Switched project to ECMAScript modules.

## 2021-09-22 - 1.0.14 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2021-02-20 - 1.0.13 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2021-02-09 - 1.0.12 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2021-02-09 - 1.0.11 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2020-03-28 - 1.0.10 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.9 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.8 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.7 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.6 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.5 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-10-01 - 1.0.4 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-02-23 - 1.0.3 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-02-23 - 1.0.2 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

## 2019-02-23 - 1.0.1 - Bug Fixes
Critical fixes in core functionalities.

- Fixed core issues.

